Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.sax
Class XMLInputSource

    java.lang.Object
      |
      +--org.xml.sax.InputSource
            |
            +--weblogic.xml.sax.XMLInputSource

public class XMLInputSource
extends org.xml.sax.InputSource

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`XMLInputSource()` Deprecated. Creates new XMLInputSource.
`XMLInputSource(org.xml.sax.InputSource source)` Deprecated. Creates new XMLInputSource using `org.xml.sax.InputSource`
`XMLInputSource(java.io.InputStream byteStream)` Deprecated. Creates new XMLInputSource using byte stream.
`XMLInputSource(java.io.Reader characterStream)` Deprecated. Creates new XMLInputSource using character stream.
`XMLInputSource(java.lang.String systemId)` Deprecated. Creates new XMLInputSource using XML document system id.

Method Summary
`java.io.InputStream` | `getByteStream()` Deprecated. Returns a stream of bytes.
`java.io.Reader` | `getCharacterStream()` Deprecated. Returns a stream of characters.
`java.lang.String` | `getDoctypeSystemId()` Deprecated. Parses the beginning of the document to retrieve DOCTYPE system id.
`java.lang.String` | `getDTDName()` Deprecated. Parses the beginning of the document to retrieve DTD name.
`java.util.Map` | `getExternalEntitiesPublicIds()` Deprecated. Finds all of the external entities that specify PUBLIC id.
`java.util.Map` | `getExternalEntitiesSystemIds()` Deprecated. Finds all of the external entities that specify SYSTEM id.
`org.xml.sax.InputSource` | `getInputSource()` Deprecated. Returns input source that this XMLInputSource is based upon.
`java.lang.String` | `getLocalRootTag()` Deprecated. Returns the name of the Root Tag without prefix.
`java.lang.String` | `getNamespaceURI()` Deprecated. Returns documents namespace if any.
`java.lang.String` | `getPublicId()` Deprecated. Parses the beginning of the document to retrieve DOCTYPE public id.
`java.lang.String` | `getQualifiedRootTag()` Deprecated. Returns the name of a Root Tag with prefix, or the empty string if qualified names are not available.
`java.lang.String` | `getRootTag()` Deprecated. If document defines namespace, this method returns fully qualified root tag.
`void` | `setByteStream(java.io.InputStream ioByteStream)` Deprecated. Sets the byte stream for this input source.
`void` | `setCharacterStream(java.io.Reader characterStream)` Deprecated. Sets the character stream for this input source.
`void` | `setSystemId(java.lang.String id)` Deprecated. Sets the system identifier for this input source.
`java.lang.String` | `toString()` Deprecated. Returns a string representation of information that defines an XML document.

Methods inherited from class org.xml.sax.InputSource
`getEncoding, getSystemId, setEncoding, setPublicId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLInputSource

    public XMLInputSource()

  Deprecated.
  Creates new XMLInputSource. Make sure to set input stream or character stream on this source.

### XMLInputSource

    public XMLInputSource(java.lang.String systemId)

  Deprecated.
  Creates new XMLInputSource using XML document system id.

  Parameters:
    `systemId` - the document's URI.

### XMLInputSource

    public XMLInputSource(java.io.InputStream byteStream)

  Deprecated.
  Creates new XMLInputSource using byte stream.

  Parameters:
    `byteStream` - an input stream of bytes.

### XMLInputSource

    public XMLInputSource(java.io.Reader characterStream)

  Deprecated.
  Creates new XMLInputSource using character stream.

  Parameters:
    `characterStream` - an input stream of characters

### XMLInputSource

    public XMLInputSource(org.xml.sax.InputSource source)
                   throws java.io.IOException

  Deprecated.
  Creates new XMLInputSource using `org.xml.sax.InputSource`

  Parameters:
    `source` - a single input source for an XML entity.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Deprecated.
  Parses the beginning of the document to retrieve DOCTYPE public id.

  Returns:
    the declared public identifier for the external DTD subset, or null if none was declared.
  Overrides:
    getPublicId in class org.xml.sax.InputSource

### getDoctypeSystemId

    public java.lang.String getDoctypeSystemId()

  Deprecated.
  Parses the beginning of the document to retrieve DOCTYPE system id. For example,

  Returns:
    the declared system identifier for the external DTD subset, or null if none was declared.

### setSystemId

    public void setSystemId(java.lang.String id)

  Deprecated.
  Sets the system identifier for this input source.

  Parameters:
    `id` - XML document location as a `java.lang.String`
  Overrides:
    setSystemId in class org.xml.sax.InputSource

### getRootTag

    public java.lang.String getRootTag()

  Deprecated.
  If document defines namespace, this method returns fully qualified root tag. Otherwise, returns local root tag.

### getQualifiedRootTag

    public java.lang.String getQualifiedRootTag()

  Deprecated.
  Returns the name of a Root Tag with prefix, or the empty string if qualified names are not available.

  Returns:
    the fully qualifies name as a `java.lang.String`

### getDTDName

    public java.lang.String getDTDName()

  Deprecated.
  Parses the beginning of the document to retrieve DTD name.

  Returns:
    the document type name.

### getLocalRootTag

    public java.lang.String getLocalRootTag()

  Deprecated.
  Returns the name of the Root Tag without prefix.

  Returns:
    the local name as a `java.lang.String`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Deprecated.
  Returns documents namespace if any.

  Returns:
    the Namespace URI, or the empty string if the element has no Namespace URI.

### setCharacterStream

    public void setCharacterStream(java.io.Reader characterStream)

  Deprecated.
  Sets the character stream for this input source. For full description see `org.xml.sax.InputSource`.

  Parameters:
    `characterStream` - the character stream containing the XML document or other entity.
  Overrides:
    setCharacterStream in class org.xml.sax.InputSource

### getCharacterStream

    public java.io.Reader getCharacterStream()

  Deprecated.
  Returns a stream of characters.

  Returns:
    a character stream which is of type `java.io.Reader`
  Overrides:
    getCharacterStream in class org.xml.sax.InputSource

### setByteStream

    public void setByteStream(java.io.InputStream ioByteStream)

  Deprecated.
  Sets the byte stream for this input source. For full description see `org.xml.sax.InputSource`.

  Parameters:
    `ioByteStream` - a byte stream containing an XML document or other entity.
  Overrides:
    setByteStream in class org.xml.sax.InputSource

### getByteStream

    public java.io.InputStream getByteStream()

  Deprecated.
  Returns a stream of bytes.

  Returns:
    a byte stream which is of type `java.io.InputStream`
  Overrides:
    getByteStream in class org.xml.sax.InputSource

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a string representation of information that defines an XML document.

  Returns:
    XML document meta data as `java.lang.String`
  Overrides:
    toString in class java.lang.Object

### getInputSource

    public org.xml.sax.InputSource getInputSource()

  Deprecated.
  Returns input source that this XMLInputSource is based upon.

  Returns:
    an input source for an XML entity of the type `org.xml.sax.InputSource`

### getExternalEntitiesSystemIds

    public java.util.Map getExternalEntitiesSystemIds()

  Deprecated.
  Finds all of the external entities that specify SYSTEM id.

  Returns:
    the Map of key, value pair. Keys in the Map are the names of external entities. Values in the Map are the declared system identifiers for every entity.

### getExternalEntitiesPublicIds

    public java.util.Map getExternalEntitiesPublicIds()

  Deprecated.
  Finds all of the external entities that specify PUBLIC id.

  Returns:
    the Map of key, value pair. Keys in the Map are the names of external entities. Values in the Map are the declared public identifiers for every entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD